import request from '@/utils/request'

export class AddBaseApi {
  getList = (data={})=>{
    return  request({
        url: '/platform/v1/base/list',
        method: 'post',
        data: data
    })
  }

  getAllList = (data={})=>{
    return  request({
        url: '/platform/v1/base/allList',
        method: 'post',
        data: data
    })
  }

  configAddOrEdit = (data={})=>{
    return  request({
        url: '/platform/v1/base/addOrUpdate',
        method: 'post',
        data: data
    })
  }

  configDetail = (data={})=>{
    return  request({
        url: '/platform/v1/base/getInfo',
        method: 'post',
        data: data
    })
  }

  configDelete = (data={})=>{
    return  request({
        url: '/platform/v1/base/delete',
        method: 'post',
        data: data
    })
  }
}

export const addBaseApi = new AddBaseApi()